This page was not yet optimized for use on mobile devices.
Huawei R230D, R240D and R250D Remote Radio Units
Certificate details
| Certificate ID | #2999 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 21.08.2017 |
| Standard | FIPS 140-2 |
| Security level | 2 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode and with the tamper-evident seals and opacity stickers installed as indicated in Section 8 of the Security Policy. |
| Exceptions |
|
| Description | The Huawei R230D, R240D, R250D Remote Radio Units are multi-chip standalone cryptographic modules enclosed in hard, commercial grade metal cases. The cryptographic boundary for these modules is the enclosure. The primary purpose of these modules is to provide secure communication for data transmitted between different networks. The modules provide network interfaces for data input and output. |
| Version (Hardware) | P/Ns R230D, R240D and R250D with Tamper-evident Seals 4057-113016 |
| Version (Firmware) | V200R007C10SPC100 |
| Vendor | Huawei Technologies Co., Ltd. http://www.huawei.com |
| Lab | UL Verification Services, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, DES, Triple-DES, Blowfish, HMAC, HMAC-SHA-256Asymmetric Algorithms
ECDSA, ECC, DH, Diffie-HellmanHash functions
SHA-1, SHA-256, SHA-384, SHA-512, MD5Schemes
Key AgreementProtocols
SSH, SSHv2, TLS, IKE, IPsec, VPNRandomness
DRBG, RNGElliptic Curves
P-256, P-384, P-521Block cipher modes
CBC, GCMVendor
Huawei Technologies Co, HuaweiStandards
FIPS 140-2, FIPS 197, FIPS 186-4, FIPS 198-1, FIPS 180-4, SP 800-38A, SP 800-135, SP 800-90A, SP 800-67, RFC 4303, RFC 6379, RFC 4511, RFC 2865, RFC 4254, RFC 5246, RFC 4253Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 2999,
"dgst": "0930901f3ec11b7a",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"CVL#1114",
"AES#4408",
"HMAC#2930",
"#1060",
"SHS#3634",
"Triple-DES#2375",
"#1114",
"#2375",
"DRBG#1421",
"#1421",
"#3634",
"#2930",
"ECDSA#1060",
"#4408"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"113016",
"4057"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 6
}
},
"FF": {
"DH": {
"DH": 4,
"Diffie-Hellman": 2
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 5
},
"GCM": {
"GCM": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 1
},
"IPsec": {
"IPsec": 4
},
"SSH": {
"SSH": 39,
"SSHv2": 1
},
"TLS": {
"TLS": {
"TLS": 4
}
},
"VPN": {
"VPN": 1
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 8,
"P-384": 8,
"P-521": 6
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1060": 1,
"#1421": 2,
"#2375": 1,
"#2930": 1,
"#3634": 1,
"#4408": 1
}
},
"fips_certlike": {
"Certlike": {
"AES (#4408": 1,
"AES-128": 1,
"DES (#2375": 1,
"DRBG (#1421": 1,
"DRBG (Cert. #1421": 1,
"DRBG 4": 1,
"HMAC (#2930": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-1-96": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA1": 2,
"HMAC-SHA1-96": 1,
"SHA-1": 4,
"SHA-256": 6,
"SHA-384": 4,
"SHA-512": 5,
"SHS (#3634": 1
}
},
"fips_security_level": {},
"hash_function": {
"MD": {
"MD5": {
"MD5": 1
}
},
"SHA": {
"SHA1": {
"SHA-1": 5
},
"SHA2": {
"SHA-256": 7,
"SHA-384": 4,
"SHA-512": 5
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 7
},
"RNG": {
"RNG": 1
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 35,
"FIPS 180-4": 1,
"FIPS 186-4": 1,
"FIPS 197": 1,
"FIPS 198-1": 1
},
"NIST": {
"SP 800-135": 1,
"SP 800-38A": 1,
"SP 800-67": 1,
"SP 800-90A": 3
},
"RFC": {
"RFC 2865": 1,
"RFC 4253": 1,
"RFC 4254": 1,
"RFC 4303": 1,
"RFC 4511": 1,
"RFC 5246": 1,
"RFC 6379": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 3,
"AES-128": 1
}
},
"DES": {
"3DES": {
"Triple-DES": 2
},
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"HMAC": 5,
"HMAC-SHA-256": 2
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Huawei": {
"Huawei": 4,
"Huawei Technologies Co": 42
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"CVL#1114",
"AES#4408",
"HMAC#2930",
"Triple-DES#2375",
"SHS#3634",
"DRBG#1421",
"ECDSA#1060"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#1060",
"#1114",
"#2375",
"#1421",
"#3634",
"#2930",
"#4408"
]
},
"policy_metadata": {
"/Author": "Gerrit Kruitbosch",
"/Company": "Huawei Technologies Co.,Ltd.",
"/CreationDate": "D:20170809105400-07\u002700\u0027",
"/Creator": "Acrobat PDFMaker 17 for Word",
"/ModDate": "D:20170809105406-07\u002700\u0027",
"/Producer": "Adobe PDF Library 15.0",
"/SourceModified": "D:20170809175344",
"/_2015_ms_pID_725343": "(2)uVsX29wsMyogC3iDc93+wuLmgALbx2eOtWimxjOUxYNfPjvTA+uopmPMUHqgCuPHxhi9x900\n/t6SPO9P0c0/dPPPNReIukty+stzp1AUQKgql3E2FqNHyZdzmuKTZ7qFTKrXDhH85YOcs5/f\nS3SS7QZlGKtD6cKnt4ImWK4bP+lmtytEw65dRacnoUqIVmBprhEs607slsj/6hqpgVhcorkQ\nsglAlrrMT9kkxps1wW",
"/_2015_ms_pID_7253431": "l4kJ7okluD07HsupIBrehsPqWUlwF5Au4RXLjvMH30C97ESQrcVvXw\nVSRRwo7xGcTOzETrykS8WzlIIj7ExEbrgnwPB9rJw+T1gE05Mjg/jkiNO3VnthKO72IPqr1z\nLSiU1r/CPtV6bBV/Tn3y3+80dw+BQnfHd7QaFR2NR+rdTA==",
"/_change": "",
"/_full-control": "",
"/_readonly": "",
"/sflag": "1490931206",
"pdf_file_size_bytes": 486345,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://csrc.nist.gov/groups/STM/cavp/documents/des/tripledesnewval.html#2375",
"http://csrc.nist.gov/groups/STM/cavp/documents/drbg/drbgnewval.html#1421",
"http://csrc.nist.gov/groups/STM/cavp/documents/components/componentnewval.html#1114",
"mk:@MSITStore:D:%5CR8C00%E6%89%8B%E5%86%8C%5C%E5%85%B1%E4%BA%AB%5Cz_ALL_dc_ar_Product_Doc_en.chm::/dc/dc_ar_hw_020593.html",
"http://csrc.nist.gov/groups/STM/cavp/documents/shs/shaval.html#3634",
"http://csrc.nist.gov/groups/STM/cavp/documents/dss/ecdsanewval.html#1060",
"http://csrc.nist.gov/groups/STM/cavp/documents/aes/aesval.html#4408",
"http://csrc.nist.gov/groups/STM/cavp/documents/mac/hmacval.html#2930"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 21
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "c2234d94e7b2411f3f92f06f140a146a0a37a4f6084e203734195b24f7506bb2",
"source_hash": "a4698fa8a19f19fb4a67449eec55d881b91a12c68a265386d07c6371233870ae",
"txt_hash": "9338152670cf649079cda8d4013a9e3056fa6eb59067ed2b6e92d02f7f0b9bfb"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and with the tamper-evident seals and opacity stickers installed as indicated in Section 8 of the Security Policy.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/AugConsolidatedCert.pdf",
"date_sunset": null,
"description": "The Huawei R230D, R240D, R250D Remote Radio Units are multi-chip standalone cryptographic modules enclosed in hard, commercial grade metal cases. The cryptographic boundary for these modules is the enclosure. The primary purpose of these modules is to provide secure communication for data transmitted between different networks. The modules provide network interfaces for data input and output.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Design Assurance: Level 3",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "V200R007C10SPC100",
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": "P/Ns R230D, R240D and R250D with Tamper-evident Seals 4057-113016",
"level": 2,
"mentioned_certs": {},
"module_name": "Huawei R230D, R240D and R250D Remote Radio Units",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2017-08-21",
"lab": "UL Verification Services, Inc.",
"validation_type": "Initial"
}
],
"vendor": "Huawei Technologies Co., Ltd.",
"vendor_url": "http://www.huawei.com"
}
}